package com.hh.arome.common;

import com.common.lib_base.common.local.LocalConfig;

/**
 * Date: 2022/6/7 0007 11:08
 * Description:
 */
@LocalConfig("AppConfig")
public interface IAppLocalConfig {

    /**
     * String
     * void setUserName(String name);
     * String getUserName(String defaultValue);
     *
     * int
     * void setVersion(int version);
     * int getVersion();
     *
     * boolean
     * void setVip(boolean isVip);
     * boolean isVip();
     */


    // 启动页面图片
    void setSplashImageUrl(String url);
    String getSplashImageUrl(String defaultValue);


    // 是否自启动
    void setAutoApp(boolean isauto);
    boolean isAutoApp();


    void setFirstStart(boolean isFirst);
    boolean isFirstStart();


    void setDeviceConfigResultBeanStr(String beanStr);
    String getDeviceConfigResultBeanStr(String defaultValue);


}
